Retrieve a client hierarchy
curl --request GET \
--url https://api.gospott.com/clients/hierarchies/{hierarchyId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/clients/hierarchies/{hierarchyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/clients/hierarchies/{hierarchyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"client": {
"id": "<string>"
},
"children": [
{
"client": {
"id": "<string>"
},
"children": "<array>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Client Hierarchies
Retrieve a client hierarchy
Retrieves the client hierarchy with the specified ID. Returns the full hierarchy tree rooted at the requested hierarchy ID, including each client in the tree and its relation to its parent.
GET
/
clients
/
hierarchies
/
{hierarchyId}
Retrieve a client hierarchy
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
⌘I

